Last Comment Bug 302120 - Broken Keyboard Navigation with new folder location picker widget
: Broken Keyboard Navigation with new folder location picker widget
Status: RESOLVED FIXED
: fixed1.8
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-25 17:11 PDT by Scott MacGregor
Modified: 2008-07-31 01:21 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix JS exception (759 bytes, patch)
2005-07-26 05:56 PDT, neil@parkwaycc.co.uk
bzbarsky: review+
roc: superreview+
asa: approval1.8b4+
Details | Diff | Splinter Review
-w version of following patch (6.66 KB, patch)
2005-08-11 16:34 PDT, neil@parkwaycc.co.uk
no flags Details | Diff | Splinter Review
Support up/down/home/end (7.82 KB, patch)
2005-08-11 16:44 PDT, neil@parkwaycc.co.uk
mscott: superreview+
asa: approval1.8b4+
Details | Diff | Splinter Review

Description Scott MacGregor 2005-07-25 17:11:55 PDT
Here's a bug for the issue we were talking about Neil.

Bring up the search dialog, focus the account / folders to search picker.

Without opening up the menupoup, use the keyboard to navigate through the
options. Note the failure to due so and the JS error.

Neil had some ideas on how to add this functinality.
Comment 1 neil@parkwaycc.co.uk 2005-07-26 05:56:32 PDT
Created attachment 190546 [details] [diff] [review]
Fix JS exception

This was copied from line 1700 but that was too far away to include in the
diff.
Comment 2 neil@parkwaycc.co.uk 2005-08-08 03:07:13 PDT
Comment on attachment 190546 [details] [diff] [review]
Fix JS exception

Trivial patch to prevent inappropriate JS exceptions.
Comment 3 neil@parkwaycc.co.uk 2005-08-11 16:34:52 PDT
Created attachment 192439 [details] [diff] [review]
-w version of following patch

The -w version is useful because it has a different idea as to which code
moved.
Comment 4 neil@parkwaycc.co.uk 2005-08-11 16:44:43 PDT
Created attachment 192440 [details] [diff] [review]
Support up/down/home/end

I suddenly realised that page up/down only work when the popup is open,
so in fact the previous attachment isn't an exact -w diff, but it'll do.
Comment 5 Scott MacGregor 2005-08-12 11:23:49 PDT
Comment on attachment 192440 [details] [diff] [review]
Support up/down/home/end

thanks Neil
Comment 6 neil@parkwaycc.co.uk 2005-08-16 01:19:51 PDT
Attachment 192440 [details] [diff] checked in.
Do you want me to look into navigating by typing the folder name?
Comment 7 Stefan Magdalinski 2005-08-16 09:49:33 PDT
as a keyboard only user, being able to navigate the folder tree with FAYT style
keys (or even just first letters) would be an awesome accessibility win.

I think I filed an RFE on this once, but maybe I didn't
Comment 8 David :Bienvenu 2005-08-16 10:00:07 PDT
navigating by typing the folder name would be great, and would help with
usability of the new widget when you have a ton of folders, as I do.
Comment 9 Asa Dotzler [:asa] 2005-09-10 10:58:28 PDT
did this land on the 1.8 branch for b4? if so, could you add the fixed1.8
keyword? thanks.
Comment 10 neil@parkwaycc.co.uk 2005-09-15 03:26:45 PDT
Resolving as fixed for up/down, I'll spin up a new bug about FAYT style.
Comment 11 Mike Cowperthwaite 2006-01-06 11:53:50 PST
(In reply to comment #10)
> Resolving as fixed for up/down, I'll spin up a new bug about FAYT style.

Neil, did you do this?  xref bug 315367
Comment 12 neil@parkwaycc.co.uk 2006-01-06 16:06:35 PST
(In reply to comment #11)
>(In reply to comment #10)
>>Resolving as fixed for up/down, I'll spin up a new bug about FAYT style.
>Neil, did you do this?
Oops, I forgot :-( Just submitted bug 322622.

Note You need to log in before you can comment on or make changes to this bug.